Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 787593 - app-i18n/librime-lua-20201011103348 fails to compile
Summary: app-i18n/librime-lua-20201011103348 fails to compile
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Arfrever Frehtes Taifersar Arahesis
URL:
Whiteboard: ~arch only
Keywords:
: 788187 (view as bug list)
Depends on:
Blocks: gcc-11
  Show dependency tree
 
Reported: 2021-05-02 06:53 UTC by Agostino Sarubbo
Modified: 2021-09-18 20:13 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,19.16 KB, text/plain)
2021-05-02 06:53 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2021-05-02 06:53:04 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: app-i18n/librime-lua-20201011103348 fails to compile.
Discovered on: amd64 (internal ref: tinderbox)

NOTE:
This machine uses GCC-11: https://gcc.gnu.org/gcc-11/porting_to.html
If you think this is a GCC-11 related issue, please block bug 732706.
Comment 1 Agostino Sarubbo gentoo-dev 2021-05-02 06:53:06 UTC
Created attachment 705120 [details]
build.log

build log and emerge --info
Comment 2 Agostino Sarubbo gentoo-dev 2021-05-02 06:53:07 UTC
Possible context of error(s):

/var/tmp/portage/app-i18n/librime-lua-20201011103348/work/librime-lua-d45a41af2f9d731e3c1516a191cc3160e3cb8377/src/lib/lua_templates.h:501:12: error: function returning a function
Comment 3 Toralf Förster gentoo-dev 2021-05-04 18:08:09 UTC
*** Bug 788187 has been marked as a duplicate of this bug. ***
Comment 4 Arfrever Frehtes Taifersar Arahesis 2021-05-10 06:10:25 UTC
Possibly already fixed in upstream repository. I can add new snapshot.

Could you test app-i18n/librime-lua-99999999999999?
Comment 5 Sam James archtester gentoo-dev Security 2021-06-15 02:42:44 UTC
(In reply to Arfrever Frehtes Taifersar Arahesis from comment #4)
> Possibly already fixed in upstream repository. I can add new snapshot.
> 
> Could you test app-i18n/librime-lua-99999999999999?

I'd just go for it.
Comment 6 Sam James archtester gentoo-dev Security 2021-09-02 23:07:35 UTC
(In reply to Arfrever Frehtes Taifersar Arahesis from comment #4)
> Possibly already fixed in upstream repository. I can add new snapshot.
> 
> Could you test app-i18n/librime-lua-99999999999999?

ping.